#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_utilrenderdither (library) ###########

tde_add_library( mpeg_utilrenderdither STATIC_PIC
  SOURCES
    ditherWrapper.cpp
    dither8Bit.cpp
    colorTable8Bit.cpp colorTableHighBit.cpp
    dither16Bit.cpp dither32Bit.cpp
    ditherRGB_flipped.cpp ditherRGB.cpp
    ditherer_mmx16.cpp dither32mmx.cpp
)
